Skip to content
First requestVisit website ↗
Navigation

Get query execution history/logs

GET
https://api.channelautomation.com/api/analytics/executions

Authorization

  • bearerAuth
    optional
    bearerAuth
  • apiKey
    optional
    apiKey

Query parameters

  • limit
    optional
    integer

    Number of executions to return

    maximum: 100 · minimum: 1 · default: 50
  • offset
    optional
    integer

    Number of executions to skip

    minimum: 0 · default: 0
  • status
    optional
    success
    or
    error
    or
    timeout

    Filter by execution status

Returns

200

Query execution logs

JSON
  • executions
    optional
    array of
    object
    • id
      optional
      string
      format: uuid
    • workspace_id
      optional
      string
    • user_email
      optional
      string
    • sql_query
      optional
      string
    • execution_time_ms
      optional
      integer
    • result_count
      optional
      integer
    • status
      optional
      success
      or
      error
      or
      timeout
    • error_details
      optional
      string
    • executed_at
      optional
      string
      format: date-time
  • total
    optional
    integer
  • limit
    optional
    integer
  • offset
    optional
    integer

400

Workspace ID required
JSON
  • error
    optional
    string
  • details
    optional
    string

500

Server error
JSON
  • error
    optional
    string
  • details
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close